Debian Bug report logs - #702666
ITP: ruby-rspec-instafail -- library to show failing specs instantly

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Praveen A <praveen@debian.org>

Date: Sat, 9 Mar 2013 19:15:01 UTC

Owned by: Praveen A <praveen@debian.org>

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#702666; Package wnpp. (Sat, 09 Mar 2013 19:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <praveen@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sat, 09 Mar 2013 19:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Praveen A <praveen@debian.org>
To: submit@bugs.debian.org
Subject: ITP: ruby-rspec-instafail -- library to show failing specs instantly
Date: Sun, 10 Mar 2013 00:42:09 +0530
package: wnpp
severity: wishlist
owner: Praveen A <praveen@debian.org>

* Package name: rspec-instafail
* Version: 0.2.4
* Homepage: http://github.com/grosser/rspec-instafail
* Upstream Author: Michael Grosser
* Programming Language: Ruby
* License: MIT
* Description: library to show failing specs instantly



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#702666; Package wnpp. (Sat, 09 Mar 2013 20:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen A <praveen@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 09 Mar 2013 20:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 702666@bugs.debian.org (full text, mbox):

From: Praveen A <praveen@debian.org>
To: Hideki Yamane <henrich@debian.org>
Cc: 702666@bugs.debian.org
Subject: rspec-instafail
Date: Sun, 10 Mar 2013 01:31:38 +0530
[Message part 1 (text/plain, inline)]
Hi Hideki,

I was working on this package as there was no ITP but found there is a
git repo on pkg-ruby-extras alioth repo. Where you able to make some
progress on this? I got through till failing 2 tests with patching the
tests (see attached patch).

Running tests for ruby1.8 using debian/ruby-tests.rake ...
/usr/bin/ruby1.8 -S rspec ./spec/instafail_spec.rb
FF.....

Failures:

  1) RSpec::Instafail RSpec 1.x outputs failures at start of output
     Failure/Error: @output.should =~ /^\s*1\)\s*'x fails logically'/m
       expected: /^\s*1\)\s*'x fails logically'/m
            got: "  1) x fails logically\n     Failure/Error: 1.should
== 2\n       expected: 2\n            got: 1 (using ==)\n     #
./a_test.rb:5:in `block (2 levels) in <top (required)>'\n..*  2) x
raises a simple error\n     Failure/Error: raise 'shallow failure'\n
  RuntimeError:\n       shallow failure\n     # ./a_test.rb:20:in
`block (2 levels) in <top (required)>'\n  3) x raises a hidden error\n
    Failure/Error: raise error\n     ExceptionWrappingException:\n
  There is an error in this error.\n     # ./a_test.rb:26:in `block (2
levels) in <top (required)>'\n.\n\nPending:\n  x pends\n    # No
reason given\n    # ./a_test.rb:14\n\nFailures:\n\n  1) x fails
logically\n     Failure/Error: 1.should == 2\n       expected: 2\n
       got: 1 (using ==)\n     # ./a_test.rb:5:in `block (2 levels) in
<top (required)>'\n\n  2) x raises a simple error\n     Failure/Error:
raise 'shallow failure'\n     RuntimeError:\n       shallow failure\n
   # ./a_test.rb:20:in `block (2 levels) in <top (required)>'\n\n  3)
x raises a hidden error\n     Failure/Error: raise error\n
ExceptionWrappingException:\n       There is an error in this error.\n
    # ./a_test.rb:26:in `block (2 levels) in <top
(required)>'\n\nFinished in 0.00241 seconds\n7 examples, 3 failures, 1
pending\n\nFailed examples:\n\nrspec ./a_test.rb:4 # x fails
logically\nrspec ./a_test.rb:19 # x raises a simple error\nrspec
./a_test.rb:23 # x raises a hidden error\n" (using =~)
       Diff:
       @@ -1,2 +1,51 @@
       -/^\s*1\)\s*'x fails logically'/m
       +  1) x fails logically
       +     Failure/Error: 1.should == 2
       +       expected: 2
       +            got: 1 (using ==)
       +     # ./a_test.rb:5:in `block (2 levels) in <top (required)>'
       +..*  2) x raises a simple error
       +     Failure/Error: raise 'shallow failure'
       +     RuntimeError:
       +       shallow failure
       +     # ./a_test.rb:20:in `block (2 levels) in <top (required)>'
       +  3) x raises a hidden error
       +     Failure/Error: raise error
       +     ExceptionWrappingException:
       +       There is an error in this error.
       +     # ./a_test.rb:26:in `block (2 levels) in <top (required)>'
       +.
       +
       +Pending:
       +  x pends
       +    # No reason given
       +    # ./a_test.rb:14
       +
       +Failures:
       +
       +  1) x fails logically
       +     Failure/Error: 1.should == 2
       +       expected: 2
       +            got: 1 (using ==)
       +     # ./a_test.rb:5:in `block (2 levels) in <top (required)>'
       +
       +  2) x raises a simple error
       +     Failure/Error: raise 'shallow failure'
       +     RuntimeError:
       +       shallow failure
       +     # ./a_test.rb:20:in `block (2 levels) in <top (required)>'
       +
       +  3) x raises a hidden error
       +     Failure/Error: raise error
       +     ExceptionWrappingException:
       +       There is an error in this error.
       +     # ./a_test.rb:26:in `block (2 levels) in <top (required)>'
       +
       +Finished in 0.00241 seconds
       +7 examples, 3 failures, 1 pending
       +
       +Failed examples:
       +
       +rspec ./a_test.rb:4 # x fails logically
       +rspec ./a_test.rb:19 # x raises a simple error
       +rspec ./a_test.rb:23 # x raises a hidden error
     # ./spec/instafail_spec.rb:12

  2) RSpec::Instafail RSpec 1.x outputs errors in middle of output
     Failure/Error: @output.should =~ /\.\.\*\s*2\)\s*RuntimeError in
'x raises a simple error'/m
       expected: /\.\.\*\s*2\)\s*RuntimeError in 'x raises a simple error'/m
            got: "  1) x fails logically\n     Failure/Error: 1.should
== 2\n       expected: 2\n            got: 1 (using ==)\n     #
./a_test.rb:5:in `block (2 levels) in <top (required)>'\n..*  2) x
raises a simple error\n     Failure/Error: raise 'shallow failure'\n
  RuntimeError:\n       shallow failure\n     # ./a_test.rb:20:in
`block (2 levels) in <top (required)>'\n  3) x raises a hidden error\n
    Failure/Error: raise error\n     ExceptionWrappingException:\n
  There is an error in this error.\n     # ./a_test.rb:26:in `block (2
levels) in <top (required)>'\n.\n\nPending:\n  x pends\n    # No
reason given\n    # ./a_test.rb:14\n\nFailures:\n\n  1) x fails
logically\n     Failure/Error: 1.should == 2\n       expected: 2\n
       got: 1 (using ==)\n     # ./a_test.rb:5:in `block (2 levels) in
<top (required)>'\n\n  2) x raises a simple error\n     Failure/Error:
raise 'shallow failure'\n     RuntimeError:\n       shallow failure\n
   # ./a_test.rb:20:in `block (2 levels) in <top (required)>'\n\n  3)
x raises a hidden error\n     Failure/Error: raise error\n
ExceptionWrappingException:\n       There is an error in this error.\n
    # ./a_test.rb:26:in `block (2 levels) in <top
(required)>'\n\nFinished in 0.00241 seconds\n7 examples, 3 failures, 1
pending\n\nFailed examples:\n\nrspec ./a_test.rb:4 # x fails
logically\nrspec ./a_test.rb:19 # x raises a simple error\nrspec
./a_test.rb:23 # x raises a hidden error\n" (using =~)
       Diff:
       @@ -1,2 +1,51 @@
       -/\.\.\*\s*2\)\s*RuntimeError in 'x raises a simple error'/m
       +  1) x fails logically
       +     Failure/Error: 1.should == 2
       +       expected: 2
       +            got: 1 (using ==)
       +     # ./a_test.rb:5:in `block (2 levels) in <top (required)>'
       +..*  2) x raises a simple error
       +     Failure/Error: raise 'shallow failure'
       +     RuntimeError:
       +       shallow failure
       +     # ./a_test.rb:20:in `block (2 levels) in <top (required)>'
       +  3) x raises a hidden error
       +     Failure/Error: raise error
       +     ExceptionWrappingException:
       +       There is an error in this error.
       +     # ./a_test.rb:26:in `block (2 levels) in <top (required)>'
       +.
       +
       +Pending:
       +  x pends
       +    # No reason given
       +    # ./a_test.rb:14
       +
       +Failures:
       +
       +  1) x fails logically
       +     Failure/Error: 1.should == 2
       +       expected: 2
       +            got: 1 (using ==)
       +     # ./a_test.rb:5:in `block (2 levels) in <top (required)>'
       +
       +  2) x raises a simple error
       +     Failure/Error: raise 'shallow failure'
       +     RuntimeError:
       +       shallow failure
       +     # ./a_test.rb:20:in `block (2 levels) in <top (required)>'
       +
       +  3) x raises a hidden error
       +     Failure/Error: raise error
       +     ExceptionWrappingException:
       +       There is an error in this error.
       +     # ./a_test.rb:26:in `block (2 levels) in <top (required)>'
       +
       +Finished in 0.00241 seconds
       +7 examples, 3 failures, 1 pending
       +
       +Failed examples:
       +
       +rspec ./a_test.rb:4 # x fails logically
       +rspec ./a_test.rb:19 # x raises a simple error
       +rspec ./a_test.rb:23 # x raises a hidden error
     # ./spec/instafail_spec.rb:16

Finished in 0.61483 seconds
7 examples, 2 failures

Failed examples:

rspec ./spec/instafail_spec.rb:11 # RSpec::Instafail RSpec 1.x outputs
failures at start of output
rspec ./spec/instafail_spec.rb:15 # RSpec::Instafail RSpec 1.x outputs
errors in middle of output
rake aborted!
/usr/bin/ruby1.8 -S rspec ./spec/instafail_spec.rb failed
[remove-rubygems-bundler-require.patch (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Praveen A <praveen@debian.org>:
Bug#702666; Package wnpp. (Mon, 08 Apr 2013 13:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Praveen Arimbrathodiyil <pravi.a@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Praveen A <praveen@debian.org>. (Mon, 08 Apr 2013 13:21:06 GMT) Full text and rfc822 format available.

Message #15 received at 702666@bugs.debian.org (full text, mbox):

From: Praveen Arimbrathodiyil <pravi.a@gmail.com>
To: 702666@bugs.debian.org
Subject: test failures reported upstream
Date: Mon, 08 Apr 2013 13:23:06 +0005
[Message part 1 (text/plain, inline)]
reported upstream
https://github.com/grosser/rspec-instafail/issues/14
[Message part 2 (text/html, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 09:59:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.